Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task
Class HumanTaskServiceFactory

    java.lang.Object
      org.jbpm.services.task.HumanTaskServiceFactory

    public class HumanTaskServiceFactory

extends Object

Constructor Summary
`HumanTaskServiceFactory()`

Method Summary
`static void` | `configure()`
`static void` | `configureLifeCycleManager(JbpmServicesPersistenceManager pm, org.kie.internal.task.api.TaskIdentityService identityService, org.kie.internal.task.api.TaskQueryService queryService, org.kie.internal.task.api.TaskContentService contentService)`
`static void` | `configurePersistenceManager()`
`static void` | `configureTaskAdminService(JbpmServicesPersistenceManager pm)`
`static void` | `configureTaskContentService(JbpmServicesPersistenceManager pm)`
`static void` | `configureTaskDeadlinesService(JbpmServicesPersistenceManager pm)`
`static void` | `configureTaskIdentityService(JbpmServicesPersistenceManager pm)`
`static void` | `configureTaskInstanceService(JbpmServicesPersistenceManager pm, org.kie.internal.task.api.TaskQueryService queryService)`
`static void` | `configureTaskQueryService(JbpmServicesPersistenceManager pm)`
`static void` | `configureUserGroupLifeCycleManagerDecorator(JbpmServicesPersistenceManager pm, LifeCycleManager lifeCycleManager, org.kie.internal.task.api.UserGroupCallback userGroupCallback)`
`static DeadlinesDecorator` | `createDeadlinesDecorator(JbpmServicesPersistenceManager pm, org.kie.internal.task.api.TaskQueryService queryService, org.kie.internal.task.api.TaskDeadlinesService deadlinesService, SubTaskDecorator subTaskDecorator)`
`static SubTaskDecorator` | `createSubTaskDecorator(JbpmServicesPersistenceManager pm, org.kie.internal.task.api.TaskInstanceService instanceService, org.kie.internal.task.api.TaskQueryService queryService)`
`static org.kie.internal.task.api.UserGroupCallback` | `createUserGroupCallback()`
`static org.kie.internal.task.api.TaskAdminService` | `getAdminService()`
`static org.kie.internal.task.api.TaskContentService` | `getContentService()`
`static org.kie.internal.task.api.TaskDeadlinesService` | `getDeadlinesService()`
`static javax.persistence.EntityManagerFactory` | `getEmf()`
`static javax.persistence.EntityManagerFactory` | `getEntityManagerFactory()`
`static org.kie.internal.task.api.TaskIdentityService` | `getIdentityService()`
`static org.kie.internal.task.api.TaskInstanceService` | `getInstanceService()`
`static JbpmServicesPersistenceManager` | `getJbpmServicesPersistenceManager()`
`static JbpmServicesTransactionManager` | `getJbpmTransactionManager()`
`static LifeCycleManager` | `getLifeCycleManager()`
`static org.kie.internal.task.api.TaskQueryService` | `getQueryService()`
`static UserGroupLifeCycleManagerDecorator` | `getUserGroupLifeCycleDecorator()`
`static org.kie.internal.task.api.TaskService` | `newTaskService()`
`static HumanTaskConfigurator` | `newTaskServiceConfigurator()`
`static void` | `setAdminService(org.kie.internal.task.api.TaskAdminService adminService)`
`static void` | `setContentService(org.kie.internal.task.api.TaskContentService contentService)`
`static void` | `setDeadlinesService(org.kie.internal.task.api.TaskDeadlinesService deadlinesService)`
`static void` | `setEntityManagerFactory(javax.persistence.EntityManagerFactory emf)`
`static void` | `setIdentityService(org.kie.internal.task.api.TaskIdentityService identityService)`
`static void` | `setInstanceService(org.kie.internal.task.api.TaskInstanceService instanceService)`
`static void` | `setJbpmServicesTransactionManager(JbpmServicesTransactionManager txmgr)`
`static void` | `setLifeCycleManager(LifeCycleManager lifeCycleManager)`
`static void` | `setQueryService(org.kie.internal.task.api.TaskQueryService queryService)`
`static void` | `setUserGroupLifeCycleDecorator(UserGroupLifeCycleManagerDecorator userGroupLifeCycleDecorator)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HumanTaskServiceFactory

    public HumanTaskServiceFactory()

Method Detail

### newTaskService

    public static org.kie.internal.task.api.TaskService newTaskService()

### newTaskServiceConfigurator

    public static HumanTaskConfigurator newTaskServiceConfigurator()

### getJbpmServicesPersistenceManager

    public static JbpmServicesPersistenceManager getJbpmServicesPersistenceManager()

### configure

    public static void configure()

### setJbpmServicesTransactionManager

    public static void setJbpmServicesTransactionManager(JbpmServicesTransactionManager txmgr)

### configurePersistenceManager

    public static void configurePersistenceManager()

### setEntityManagerFactory

    public static void setEntityManagerFactory(javax.persistence.EntityManagerFactory emf)

### getEntityManagerFactory

    public static javax.persistence.EntityManagerFactory getEntityManagerFactory()

### configureTaskQueryService

    public static void configureTaskQueryService(JbpmServicesPersistenceManager pm)

### configureTaskIdentityService

    public static void configureTaskIdentityService(JbpmServicesPersistenceManager pm)

### configureTaskAdminService

    public static void configureTaskAdminService(JbpmServicesPersistenceManager pm)

### configureTaskContentService

    public static void configureTaskContentService(JbpmServicesPersistenceManager pm)

### configureTaskDeadlinesService

    public static void configureTaskDeadlinesService(JbpmServicesPersistenceManager pm)

### configureTaskInstanceService

    public static void configureTaskInstanceService(JbpmServicesPersistenceManager pm,
                                                    org.kie.internal.task.api.TaskQueryService queryService)

### configureLifeCycleManager

    public static void configureLifeCycleManager(JbpmServicesPersistenceManager pm,
                                                 org.kie.internal.task.api.TaskIdentityService identityService,
                                                 org.kie.internal.task.api.TaskQueryService queryService,
                                                 org.kie.internal.task.api.TaskContentService contentService)

### configureUserGroupLifeCycleManagerDecorator

    public static void configureUserGroupLifeCycleManagerDecorator(JbpmServicesPersistenceManager pm,
                                                                   LifeCycleManager lifeCycleManager,
                                                                   org.kie.internal.task.api.UserGroupCallback userGroupCallback)

### createUserGroupCallback

    public static org.kie.internal.task.api.UserGroupCallback createUserGroupCallback()

### createSubTaskDecorator

    public static SubTaskDecorator createSubTaskDecorator(JbpmServicesPersistenceManager pm,
                                                          org.kie.internal.task.api.TaskInstanceService instanceService,
                                                          org.kie.internal.task.api.TaskQueryService queryService)

### createDeadlinesDecorator

    public static DeadlinesDecorator createDeadlinesDecorator(JbpmServicesPersistenceManager pm,
                                                              org.kie.internal.task.api.TaskQueryService queryService,
                                                              org.kie.internal.task.api.TaskDeadlinesService deadlinesService,
                                                              SubTaskDecorator subTaskDecorator)

### setQueryService

    public static void setQueryService(org.kie.internal.task.api.TaskQueryService queryService)

### setIdentityService

    public static void setIdentityService(org.kie.internal.task.api.TaskIdentityService identityService)

### setAdminService

    public static void setAdminService(org.kie.internal.task.api.TaskAdminService adminService)

### setContentService

    public static void setContentService(org.kie.internal.task.api.TaskContentService contentService)

### setDeadlinesService

    public static void setDeadlinesService(org.kie.internal.task.api.TaskDeadlinesService deadlinesService)

### setInstanceService

    public static void setInstanceService(org.kie.internal.task.api.TaskInstanceService instanceService)

### setLifeCycleManager

    public static void setLifeCycleManager(LifeCycleManager lifeCycleManager)

### setUserGroupLifeCycleDecorator

    public static void setUserGroupLifeCycleDecorator(UserGroupLifeCycleManagerDecorator userGroupLifeCycleDecorator)

### getEmf

    public static javax.persistence.EntityManagerFactory getEmf()

### getJbpmTransactionManager

    public static JbpmServicesTransactionManager getJbpmTransactionManager()

### getQueryService

    public static org.kie.internal.task.api.TaskQueryService getQueryService()

### getIdentityService

    public static org.kie.internal.task.api.TaskIdentityService getIdentityService()

### getAdminService

    public static org.kie.internal.task.api.TaskAdminService getAdminService()

### getContentService

    public static org.kie.internal.task.api.TaskContentService getContentService()

### getDeadlinesService

    public static org.kie.internal.task.api.TaskDeadlinesService getDeadlinesService()

### getInstanceService

    public static org.kie.internal.task.api.TaskInstanceService getInstanceService()

### getLifeCycleManager

    public static LifeCycleManager getLifeCycleManager()

### getUserGroupLifeCycleDecorator

    public static UserGroupLifeCycleManagerDecorator getUserGroupLifeCycleDecorator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.